Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.item
Class QNm

    java.lang.Object
      org.basex.query.xquery.expr.Expr
          org.basex.query.xquery.item.Item
              org.basex.query.xquery.item.QNm

    public final class QNm

extends Item

QName item.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`URI` | `uri` URI.

Fields inherited from class org.basex.query.xquery.expr.Expr
`type`

Constructor Summary
`QNm(byte[] q)` Constructor.
`QNm(byte[] q, URI u)` Constructor.
`QNm(byte[] n, XQContext ctx)` Constructor.

Method Summary
`boolean` | `bool()` Returns a boolean representation of the item.
`void` | `check(XQContext ctx, boolean ns)` Checks the validity of the qname.
`int` | `diff(Item it)` Returns the difference between the current and the specified item.
`boolean` | `eq(Item it)` Checks the items for equality.
`boolean` | `eq(QNm n)` Compares the specified item.
`byte[]` | `ln()` Returns the local name.
`boolean` | `ns()` Checks if the name contains a namespace.
`byte[]` | `pre()` Returns the prefix.
`byte[]` | `str()` Returns an atomized string.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xquery.item.Item
`castErr, comp, dbl, eval, flt, i, info, iter, itr, serialize, serialize, size`

Methods inherited from class org.basex.query.xquery.expr.Expr
`cls, d, e, n, node, s, u`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uri

    public URI uri

  URI.

Constructor Detail

### QNm

    public QNm(byte[] q)

  Constructor.

  Parameters:
    `q` - quick name

### QNm

    public QNm(byte[] q,
               URI u)

  Constructor.

  Parameters:
    `q` - quick name
    `u` - uri

### QNm

    public QNm(byte[] n,
               XQContext ctx)
        throws XQException

  Constructor.

  Parameters:
    `n` - name
    `ctx` - xquery context
  Throws:
    `XQException` - if name is invalid

Method Detail

### bool

    public boolean bool()
                 throws XQException

  Description copied from class: `Item`
  Returns a boolean representation of the item.

  Overrides:
    `bool` in class `Item`
  Returns:
    boolean value
  Throws:
    `XQException` - evaluation exception

### check

    public void check(XQContext ctx,
                      boolean ns)
               throws XQException

  Checks the validity of the qname.

  Parameters:
    `ctx` - xquery context
    `ns` - check namespace
  Throws:
    `XQException` - if name is invalid

### diff

    public int diff(Item it)
             throws XQException

  Description copied from class: `Item`
  Returns the difference between the current and the specified item.

  Overrides:
    `diff` in class `Item`
  Parameters:
    `it` - item to be compared.
  Returns:
    difference
  Throws:
    `XQException` - evaluation exception

### eq

    public boolean eq(Item it)
               throws XQException

  Description copied from class: `Item`
  Checks the items for equality.

  Specified by:
    `eq` in class `Item`
  Parameters:
    `it` - item to be compared.
  Returns:
    result of check
  Throws:
    `XQException` - evaluation exception

### eq

    public boolean eq(QNm n)

  Compares the specified item.

  Parameters:
    `n` - name to be compared
  Returns:
    result of check

### ln

    public byte[] ln()

  Returns the local name.

  Returns:
    local name

### ns

    public boolean ns()

  Checks if the name contains a namespace.

  Returns:
    result of check

### pre

    public byte[] pre()

  Returns the prefix.

  Returns:
    prefix

### str

    public byte[] str()

  Description copied from class: `Expr`
  Returns an atomized string.

  Overrides:
    `str` in class `Expr`
  Returns:
    string representation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Item`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD